/* -*- Mode: C; c-file-style: "bsd"; -*- */

#ifndef __REAL_H__
#define __REAL_H__


typedef  long double 		nxp_real_t; /* NumeXP reals */
typedef struct _NxpElementReal 	NxpElementReal;

#include "element.h"

#define NXP_ELEMENT_REAL(x)		(NXP_ELEMENT_TYPECAST(x, NXP_ELEMENT_TYPE_REAL,	NxpElementReal	))
#define NXP_ELEMENT_IS_REAL(x)	(NXP_ELEMENT_GET_TYPE(x) == NXP_ELEMENT_TYPE_REAL)

struct _NxpElementReal {
    NxpElement element;
    nxp_real_t value;
};

NxpElement* nxp_element_real_new  (nxp_real_t   value);
void        nxp_element_real_init (GError     **error);



#endif /* __REAL_H__ */
