/* -*- Mode: C; c-file-style: "bsd"; -*- */
#ifndef __VARIABLE_H__
#define __VARIABLE_H__

typedef struct _NxpElementVariable	NxpElementVariable;

#include "element.h"


#define NXP_ELEMENT_VARIABLE(x)	(NXP_ELEMENT_TYPECAST(x, NXP_ELEMENT_TYPE_VARIABLE,	NxpElementVariable	))

#define NXP_ELEMENT_VARIABLE_IDENTIFIER(x) (NXP_ELEMENT_VARIABLE(x)->ident)

struct _NxpElementVariable {
    NxpElement element;
    NxpIdentifier *ident;
};


NxpElement* nxp_element_variable_new        (NxpIdentifier  *ident);
NxpElement* nxp_element_variable_new_simple (const char     *name);
void        nxp_element_variable_init       (GError        **error);


#endif /* __VARIABLE_H__ */
