#ifndef __NXP_VOID_H__
#define __NXP_VOID_H__

#include "element.h"

typedef struct _NxpElementVoid	NxpElementVoid;

#define NXP_ELEMENT_VOID(x)  (NXP_ELEMENT_TYPECAST(x, NXP_ELEMENT_VOID,	NxpElementVoid	))
#define NXP_ELEMENT_IS_VOID(x) (NXP_ELEMENT_GET_TYPE(x) == NXP_ELEMENT_TYPE_VOID)


struct _NxpElementVoid {
    NxpElement element;
};


NxpElement* nxp_element_void_new  (void);
void        nxp_element_void_init (GError **error);


#endif
